curl --request POST \
--url https://clientapi.woku.app/wokus/share-woku-to-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wokuId": "507f1f77bcf86cd799439011",
"clientEmail": "customer@example.com"
}
'"Email sent successfully"{
"statusCode": 400,
"message": [
"description must be a string",
"fileUrl must be a valid URL"
],
"error": "Bad Request"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found"
}Wokus
Share woku via email
Sends a woku review link to one or more email addresses, inviting recipients to leave feedback. You can send to a single email or multiple emails at once.
POST
/
wokus
/
share-woku-to-email
curl --request POST \
--url https://clientapi.woku.app/wokus/share-woku-to-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wokuId": "507f1f77bcf86cd799439011",
"clientEmail": "customer@example.com"
}
'"Email sent successfully"{
"statusCode": 400,
"message": [
"description must be a string",
"fileUrl must be a valid URL"
],
"error": "Bad Request"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found"
}Authorizations
Company API key. Obtain this from your Woku dashboard under Settings > API Keys.
Body
application/json
MongoDB ObjectId of the woku to share
Example:
"507f1f77bcf86cd799439011"
Single email address to send the review invitation to
Example:
"customer@example.com"
Array of email addresses to send review invitations to
Example:
[
"customer1@example.com",
"customer2@example.com"
]
Response
Email(s) sent successfully
The response is of type string.
Example:
"Email sent successfully"